package com.bocloud.cmp.model.jumpserver;

import java.util.List;

/**
 * @description:
 * @author: Li Yaohui
 * @since: 2021/5/11 3:41 下午
 */
public class CmdTemplate {
    /**
     * 命令模板ID
     */
    private Long id;
    /**
     * 命令模板名称
     */
    private String name;
    /**
     * 缺省策略: 缺省处理策略。0:禁止登录 1:允许登录 -1:无 默认1
     */
    private Integer defaultStrategy;
    /**
     * 模板规则
     */
    private List<CmdTemplateRule> cmdTemplateRules;

    public CmdTemplate() {
    }

    public CmdTemplate(Long id) {
        this.id = id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setDefaultStrategy(Integer defaultStrategy) {
        this.defaultStrategy = defaultStrategy;
    }

    public Integer getDefaultStrategy() {
        return defaultStrategy;
    }

    public void setCmdTemplateRules(List<CmdTemplateRule> cmdTemplateRules) {
        this.cmdTemplateRules = cmdTemplateRules;
    }

    public List<CmdTemplateRule> getCmdTemplateRules() {
        return cmdTemplateRules;
    }
}
